CMSIS-Core (Cortex-A): CPACR CP field values

| CMSIS-Core (Cortex-A) Version 1.2.1 CMSIS-Core support for Cortex-A processor-based devices

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
CPACR CP field values
Coprocessor Access Control Register (CPACR)

Valid values for CPACR CP field. More...

## Macros

#define | CPACR_CP_NA 0U
| CPACR CPn field: Access denied. More...
#define | CPACR_CP_PL1 1U
| CPACR CPn field: Accessible from PL1 only. More...
#define | CPACR_CP_FA 3U
| CPACR CPn field: Full access. More...

## Description

Defines the access rights for a coprocessor.

## Macro Definition Documentation

#define CPACR_CP_FA 3U

The meaning of full access is defined by the appropriate coprocessor.

#define CPACR_CP_NA 0U

Any attempt to access the coprocessor generates an Undefined Instruction exception.

#define CPACR_CP_PL1 1U

Any attempt to access the coprocessor from unprivileged software generates an Undefined Instruction exception.